import { ChangeDetectionStrategy, Component, inject } from '@angular/core';
import { AuthService } from '../../../shared/services/auth.service';
import { ButtonComponent } from '../../../components/button/button.component';
import { ModalComponent } from '../../../components/modal/modal.component';
import { ChangePasswordComponent } from '../../../components/change-password/change-password.component';

@Component({
  selector: 'app-account',
  imports: [ButtonComponent, ModalComponent, ChangePasswordComponent],
  templateUrl: './account.component.html',
})
export class AccountComponent {
  auth = inject(AuthService);
  changePWOpen: boolean = false;

  changePW() {
    this.changePWOpen = true;
  }
}
